Name: grubby
Version: 8.25.1
Release: 2
Summary: Command line tool for updating bootloader configs
Group: System/Base
License: GPLv2+
URL: http://git.fedorahosted.org/git/grubby.git
# we only pull git snaps at the moment
# git clone git://git.fedorahosted.org/git/grubby.git
# git archive --format=tar --prefix=grubby-%{version}/ HEAD |bzip2 > grubby-%{version}.tar.bz2
Source0: http://git.fedorahosted.org/cgit/grubby.git/snapshot/grubby-8.25-1.tar.bz2
BuildRequires: pkgconfig glib2-devel popt-devel 
BuildRequires: libblkid-devel
# for make test / getopt:
BuildRequires: util-linux-ng
%ifarch %{arm}
Requires: uboot-tools
%endif

%description
grubby  is  a command line tool for updating and displaying information about 
the configuration files for the grub, lilo, elilo (ia64),  yaboot (powerpc)  
and zipl (s390) boot loaders. It is primarily designed to be used from scripts
which install new kernels and need to find information about the current boot 
environment.

%prep
%setup -q -n %{name}-8.25-1

%build
%make

%check
make test

%install
make install DESTDIR=%{buildroot} mandir=%{_mandir}
%ifarch %{arm}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
install -p uboot %{buildroot}%{_sysconfdir}/sysconfig/uboot
%endif

#temporary remove Fedora installkernel script
rm -f %{buildroot}/sbin/installkernel

%files
%doc COPYING
#/sbin/installkernel
/sbin/new-kernel-pkg
/sbin/grubby
%{_mandir}/man8/*.8*
%ifarch %{arm}
%config(noreplace) %{_sysconfdir}/sysconfig/uboot
%endif



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 8.25.1-2
+ Revision: efea4e0
- MassBuild#440: Increase release tag


